<template>
  <div class="avenir mvx6">
    <div class="pa3 f2 lh-solid">Envie seu projeto</div> 
    <div class="center f5 avenir mb2"> Escolha um nome criativo </div>
    <form class="measure center" @submit="onSubmit">
      <label class="db fw6 lh-copy f5 tl pv1" for="name">Nome do projeto</label>
      <input id="email-address" v-model="form.name" placeholder="Seja criativo :D" class="avenir ba b--primary pa2 w-100 w50-ns" type="text" name="name">
      <label class="db fw6 lh-copy f5 tl pv1" for="url">URL do repositorio</label>
      <input id="email-address" v-model="form.repo_url" placeholder="README é top ..." class="avenir pa2 ba b--primary w-100 w50-ns" type="text" name="url">
      <label class="db fw6 lh-copy f5 tl pv1" for="proposal">Descricao</label>
      <textarea id="email-address" v-model="form.proposal" placeholder="Seja objetivo ..." class="avenir pa2 ba b--primary w-100 w50-ns" type="text" name="proposal"/>

      <Button :text="'Criar'" class="mv4" @click="onSubmit"/>
    </form>

  </div>
</template>

<style>
.avenir {
  font-family: avenir-next;
}
</style>

<script>
import gql from "graphql-tag"
import Button from "~/components/Button.vue"

const criarProjeto = gql`
  mutation criarProjeto(
    $name: String!
    $proposal: String
    $repo_url: String
    $group_id: ID!
  ) {
    insertProject(
      name: $name
      proposal: $proposal
      repo_url: $repo_url
      group_id: $group_id
    ) {
      id
    }
  }
`

export default {
  components: {
    Button
  },
  data() {
    return {
      maxParticipants: 4,
      form: {
        name: "",
        repo_url: "",
        proposal: "",
        group_id: "cjjudz6ae000o0b84ccrctb9p"
      }
    }
  },
  methods: {
    async onSubmit(evt) {
      evt.preventDefault()
      await this.$apollo
        .mutate({
          mutation: criarProjeto,
          variables: {
            name: this.form.name,
            proposal: this.form.proposal,
            repo_url: this.form.repo_url,
            group_id: this.form.group_id
          }
        })
        .then(({ data }) => {
          this.form.projects = data.allProjects
          console.log(data.allProjects)
        })
      console.log(this.form)
    }
  }
}
</script>
